Draft Клонировать

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Draft Clone and the translation is 62% complete.
Outdated translations are marked like this.

Клонировать

Системное название
Draft Clone
Расположение в меню
Черчение → Клонировать
Верстаки
Draft, Arch
Быстрые клавиши
C L
Представлено в версии
-
См. также
Масштаб

Описание

Этот инструмент создает клон (копию, параметрически связанную с исходным объектом) выбранного объекта. Если исходный объект изменяется, клон тоже меняется, но сохраняет свое положение, поворот и масштаб.

Команду можно применить к 2D-объектам, созданным в верстаке Draft или верстаке Sketcher, а также на многих 3D-объектах, которые созданы в верстаке Part, верстаке PartDesign или верстаке Arch. Клоны 2D-объектов могут быть использованы при создании тел.

Клонированная копия рядом с исходным объектом

Применение

  1. Выберите один или несколько объектов.
  2. Есть несколько способов вызвать команду:
    • Нажатием кнопки Клонировать.
    • Через меню Modification → Клонировать.
    • Используйте сочетание клавиатуры: C затем L.
  3. Если вы еще не выбрали объект: выберите его в окне 3D Вида.

Свойства

Смотрите также: Редактор свойств.

An object created with the Draft Clone command is derived from a Part Part2DObject, a Part Feature object or, if an Arch Clone is created, from the object type of the source object. It inherits all properties from that object. A clone derived from one of the first two objects also has the following additional properties:

Данные

Draft

  • ДанныеFuse (Bool): specifies if overlapping shapes in the clone are fused or not.
  • ДанныеObjects (LinkListGlobal): specifies the objects that are cloned.
  • ДанныеScale (Vector): specifies the X, Y and Z scale factors.

Программирование

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a clone use the make_clone method (introduced in version 0.19) of the Draft module. This method replaces the deprecated clone method.

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • obj contains the objects to be cloned. It is either a single object or a list of objects.
  • delta is the displacement vector to be applied to the clone.
  • If forcedraft is False and obj contains a single Arch object an Arch Clone is created. Set forcedraft to True to create a Draft Clone instead.
  • cloned_object is returned with the clone object.

Пример:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()